Subject: Re: Moving drivers into staging (was Re: [GIT PULL] SCSI fixes for 2.6.32-rc3)

From: Greg KH <[email-masked]>
Date: Mon, 12 Oct 2009 16:24:29 -0700

On Mon, Oct 12, 2009 at 05:42:44PM +0200, Ingo Molnar wrote:
> Hm, i think i even gave drivers/staging/ its name?

Yes you did, and I appreciate it :)

> > [...] It seems that I'm the only one that has the ability to drop 
> > drivers out of the kernel tree, which is a funny situation :)
> 
> You are the only one who has the ability to send a warning shot towards 
> drivers _without hurting users_, and by moving it into the focus of a 
> team of cleanup oriented developers.
> 
> I think that's an important distinction ;-)

Good point.

> > In thinking about this a lot more, I don't really mind it.  If people 
> > want to push stuff out of "real" places in the kernel, into 
> > drivers/staging/ and give the original authors and maintainers notice 
> > about what is going on, _and_ provide a TODO file for what needs to 
> > happen to get the code back into the main portion of the kernel tree, 
> > then I'll be happy to help out with this and manage it.
> > 
> > I think a 6-9 month window (basically 3 kernel releases) should be 
> > sufficient time to have a driver that has been in drivers/staging/ be 
> > cleaned up enough to move back into the main kernel tree.  If not, it 
> > could be easily dropped.
> > 
> > Any objections to this?
> 
> Sounds excellent to me!

Great, I'll await the patches to move stuff to drivers/staging/ now.

Wireless developers, warm up your editors :)

thanks,

greg k-h
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html